Skip to content
GET /unified/subscription-management/invoices/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

Unique identifier for the invoice

5 supported
Billsby
supported
Chargebee
supported
Chargify
supported
PayPal
supported
Stripe
supported
balancestring

Balance amount to be paid

5 supported
Billsby
supported
Chargebee
supported
Chargify
supported
PayPal
supported
Stripe
supported
created_atstring · date-time

Date and time when the invoice was created

5 supported
Billsby
supported
Chargebee
supported
Chargify
supported
PayPal
supported
Stripe
supported
currencystring

Currency of the invoice

5 supported
Billsby
supported
Chargebee
supported
Chargify
supported
PayPal
supported
Stripe
supported
customerobject
5 supported
Billsby
supported
Chargebee
supported
Chargify
supported
PayPal
supported
Stripe
supported
created_atstring · date-time

Date and time when the customer was created

emailstring

Email of the customer

idstring

Unique identifier for the customer

namestring

Name of the customer

phonestring

Phone number of the customer

updated_atstring · date-time

Date and time when the customer was last updated

due_datestring · date-time

Due date of the invoice

4 supported
Chargebee
supported
Chargify
supported
PayPal
supported
Stripe
supported
exchange_ratenumber

Exchange rate of the currency of the invoice

1 supported
Chargebee
supported
is_recurringboolean

Whether the invoice is recurring or not

1 supported
Chargebee
supported
issue_datestring · date-time

Date of the invoice

3 supported
Chargebee
supported
Chargify
supported
PayPal
supported
line_itemsobject[]

List of line items associated with the invoice

4 supported
Chargebee
supported
Chargify
supported
PayPal
supported
Stripe
supported
currencystring

The currency of the line item

descriptionstring

The description of the line item

exchange_ratenumber

The exchange rate of the currency for the line item

idstring

The unique identifier for line item

itemstring

The ID of the item

namestring

The name of the line item

quantitynumber

The quantity of the line item

tax_amountstring

The tax amount of the line item

tax_ratestring

The ID of the tax rate

total_line_amountstring

The total line amount of the line item.

typestring

The type of the line item

unit_pricestring

The unit price of the line item

memostring

Memo of the invoice

1 supported
Chargify
supported
numberstring

Invoice number

5 supported
Billsby
supported
Chargebee
supported
Chargify
supported
PayPal
supported
Stripe
supported
paid_on_datestring · date-time

Date when the invoice was paid or marked as paid

4 supported
Chargebee
supported
Chargify
supported
PayPal
supported
Stripe
supported
paymentsobject[]

List of payments associated with the invoice

3 supported
Chargebee
supported
Chargify
supported
PayPal
supported
amountstring

Amount of the payment

created_atstring · date-time

Date and time when the payment was created

currencystring

Currency of the payment

exchange_ratenumber

Exchange rate of the currency of the payment

idstring

Unique identifier for the payment

methodstring

Payment method used for the payment. In case there is no clear mapping, the raw payment method is passed.

Possible values:
cardbank_transfercashcheckpaypalwalletwire_transfer
statusstring

Status of the payment. In case there is no clear mapping, the raw status is passed.

Possible values:
pendingauthorizedpaidpartialrefundedvoidedcancelledunknown
updated_atstring · date-time

Date and time when the payment was last updated

remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusstring

Status of the invoice. In case there is no clear mapping, the raw status is passed.

Possible values:
pendingpaidfailedcancelledrefundeddraft
5 supported
Billsby
supported
Chargebee
supported
Chargify
supported
PayPal
supported
Stripe
supported
sub_totalstring

Sub total of the invoice

5 supported
Billsby
supported
Chargebee
supported
Chargify
supported
PayPal
supported
Stripe
supported
subscription_idstring

Unique identifier for the subscription associated with the invoice

3 supported
Chargebee
supported
Chargify
supported
Stripe
supported
total_discountstring

Total discount applied to the invoice

4 supported
Chargebee
supported
Chargify
supported
PayPal
supported
Stripe
supported
total_tax_amountstring

Total tax amount of the invoice

5 supported
Billsby
supported
Chargebee
supported
Chargify
supported
PayPal
supported
Stripe
supported
transaction_feestring

Transaction fee on a payment

1 supported
Stripe
supported
updated_atstring · date-time

Date and time when the invoice was last updated

2 supported
Chargebee
supported
PayPal
supported
curl -X GET 'https://api.truto.one/unified/subscription-management/invoices/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/subscription-management/invoices/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/subscription-management/invoices/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'subscription-management',
  'invoices',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "subscription-management",
        "invoices",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())